Download it now!
Bug 120870 - KDE5: UI is broken if opening a document with a video
Summary: KDE5: UI is broken if opening a document with a video
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha1+
Hardware: All Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: KDE
  Show dependency treegraph
 
Reported: 2018-10-24 12:30 UTC by Xisco Faulí
Modified: 2019-05-30 11:23 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Slide with video (48.49 KB, image/png)
2018-10-24 12:30 UTC, Xisco Faulí
Details
Slideshow Impress 6.2 (1.49 MB, image/jpeg)
2019-03-07 14:29 UTC, Vera Blagoveschenskaya
Details
Slideshow Impress 6.3 (1.30 MB, image/jpeg)
2019-03-07 14:29 UTC, Vera Blagoveschenskaya
Details
Screencast with current LO 6.2 build (709.15 KB, video/x-matroska)
2019-05-23 16:23 UTC, Michael Weghorn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2018-10-24 12:30:28 UTC
Created attachment 145969 [details]
Slide with video

Crash while opening a document with a video was fixed in https://cgit.freedesktop.org/libreoffice/core/commit/?id=a9342497f309be256e6c7d43065c160378a48e1a
However, if the document is open with a more recent build, the UI is completely broken

Steps to reproduce:
1. Open attachment 145517 [details] from bug 120452

-> See attached image
Comment 1 Xisco Faulí 2018-10-24 12:31:43 UTC
reproduced in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded

but not in

Version: 6.2.0.0.alpha0+
Build ID: 3846561f79cf9065abd9ca83c9fbfbe7e52e28e2
CPU threads: 1; OS: Linux 4.13; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time:
2018-10-21_02:45:54
Locale: en-US (en_US.UTF-8); Calc: threaded
Comment 2 Michael Weghorn 2018-10-24 12:36:38 UTC
Reproduced with

Version: 6.2.0.0.alpha1+
Build ID: 94f72eeab2e0bda0d654244dc70bfac6f4797a1e
CPU threads: 4; OS: Linux 4.18; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); Calc: threaded

UI looks good again after temporarily switching to another window (e.g. by pressing Alt+Tab) and back, which triggers re-rendering.
Comment 3 Vera Blagoveschenskaya 2018-11-08 08:48:00 UTC
Seems the same problem

My steps:
1. Create new presentation
2. Add to new slide video (I tried .mp4 or .mkv)

--> bad view, seems UI hangs
Changing focus can help, but after returning to slide it happens again

3. Start presentation 

--> Video plays in fullscreen mode

Expected:
- correct UI view when adding video to new slide
- play video not in fullscreen mode

Reproduced for

Version: 6.2.0.0.alpha1+
Build ID: bc42b6bfa49cc2b58201a8f6177dd3b1a0c038d8
CPU threads: 4; OS: Linux 4.14; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2018-11-06_19:01:37
Locale: ru-RU (ru_RU.UTF-8); Calc: threaded

And DO NOT reproduced if to start LO with SAL_USE_VCLPLUGIN=gtk3
Comment 4 Xisco Faulí 2018-12-21 12:39:37 UTC
Still reproducible in

Version: 6.2.0.1
Build ID: 0412ee99e862f384c1106d0841a950c4cfaa9df1
CPU threads: 1; OS: Linux 4.15; UI render: default; VCL: kde5; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 5 Katarina Behrens (Inactive) 2019-03-07 09:12:49 UTC
Peeps please re-test, I no longer see broken UI on initial opening. 

I do after starting the slideshow, but that is a different problem (I'm lazy to open a new ticket so we can repurpose this one to track problems w/ video in a slideshow)
Comment 6 Vera Blagoveschenskaya 2019-03-07 14:28:37 UTC
Hello all!

Broken UI:
- for version 6.2.2.0.0+ issue from
https://bugs.documentfoundation.org/show_bug.cgi?id=120870#c2
is still reproducible
- issue from 
https://bugs.documentfoundation.org/show_bug.cgi?id=120870#c3
is still reproducible

Also slideshow works really bad:
- unnecessary grey rectangle on the screen while demonstration
(see screens below)

Versions in tests:

Version: 6.2.2.0.0+
Build ID: b17bffe4eb15e4cec969aa2699ce8be60e01b1c1
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-02-25_17:41:32
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

Version: 6.3.0.0.alpha0+
Build ID: f23738139429358c11fa62708fbdf5bb0c43d199
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-02-28_20:14:57
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded
Comment 7 Vera Blagoveschenskaya 2019-03-07 14:29:25 UTC
Created attachment 149793 [details]
Slideshow Impress 6.2
Comment 8 Vera Blagoveschenskaya 2019-03-07 14:29:48 UTC
Created attachment 149794 [details]
Slideshow Impress 6.3
Comment 9 Vera Blagoveschenskaya 2019-03-12 14:55:47 UTC
(In reply to Vera Blagoveschenskaya from comment #6)

> Also slideshow works really bad:
> - unnecessary grey rectangle on the screen while demonstration
> (see screens below)

I've created a new bug about it
https://bugs.documentfoundation.org/show_bug.cgi?id=124027
Comment 10 Michael Weghorn 2019-03-27 13:10:45 UTC
I can no longer reproduce with

Version: 6.3.0.0.alpha0+
Build ID: 9187549836e60a944c61e4e833c4b132c1d615eb
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

on Debian testing.
Comment 11 Katarina Behrens (Inactive) 2019-05-21 13:00:46 UTC
Since neither me nor michaelweghorn can reproduce anymore, and there are no duplicate reports, I suggest to close this one as fixed. After someone has verified w/ 6.2.x, that is
Comment 12 Michael Weghorn 2019-05-23 16:23:42 UTC
Created attachment 151635 [details]
Screencast with current LO 6.2 build

Some strange behaviour (as in comment 2) unfortunately still reproducible with a current 6.2 build (not with master, though), s. attached screencast:

Version: 6.2.5.0.0+
Build ID: 9844c40bfbe49cc802c9869d5e6b40555af63ae0
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
Locale: en-GB (en_GB.UTF-8); UI-Language: en-US
Calc: threaded

(this is commit 07642832e3d9c3d1648324ef40bff09bfde1f6e5 with a custom, unrelated patch on top)
Comment 13 Michael Weghorn 2019-05-23 16:25:13 UTC
When taking a quick glance, none of the qt5/kde5 commits contained in master but not 6.2 looked particularly "suspicious" of having fixed this to me.
Comment 14 Michael Weghorn 2019-05-25 14:06:33 UTC
As jmux mentioned on https://gerrit.libreoffice.org/#/c/72921/ , this bug should be closed, since it no longer happens with master.
Closing as WORKSFORME, since we don't know the commit that actually fixed it.

Despite closing, we still need to keep this in mind for 6.2 if considered important.
Comment 15 Vera Blagoveschenskaya 2019-05-27 06:54:34 UTC
(In reply to Michael Weghorn from comment #14)
> As jmux mentioned on https://gerrit.libreoffice.org/#/c/72921/ , this bug
> should be closed, since it no longer happens with master.
> Closing as WORKSFORME, since we don't know the commit that actually fixed it.

Seems all OK except the fact: I can't stop video by clicking on it. Is it correct?
I've created new issue https://bugs.documentfoundation.org/show_bug.cgi?id=125517

Checked with

Version: 6.3.0.0.alpha1+
Build ID: 40e2a0d7039eee9c5377996da3949680903e1016
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-05-22_13:55:35
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

> Despite closing, we still need to keep this in mind for 6.2 if considered
> important.
I still can reproduce 'lags in UI' while opening presentation with video. 

Checked with 

Version: 6.2.5.0.0+
Build ID: 23ccf16e9e86ecc64367f41f4df695d0a6926d72
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: kde5; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:libreoffice-6-2, Time: 2019-05-21_15:11:03
Locale: ru-RU (ru_RU.UTF-8); UI-Language: en-US
Calc: threaded

--> Thus, let's close this as worksforme.
Comment 16 Michael Weghorn 2019-05-28 17:46:47 UTC
Bisected this on master. The commit which made the issue go away is:

commit 18138417485aeba6c52d935c616dba829b24ffd8
Author: Mark Hung <marklh9@gmail.com>
Date:   Mon Feb 18 21:51:57 2019 +0800

    avmedia: set gstreamer gst_video_overlay size and position.
    
    Have video fit to the media object size on the slide,
    allow more complicated interactions.
    
    Change-Id: Ice1fa4b521176ad7ed7f7d1d2b13e617e8282390
    Reviewed-on: https://gerrit.libreoffice.org/67978
    Tested-by: Jenkins
    Reviewed-by: Caolán McNamara <caolanm@redhat.com>
    Tested-by: Caolán McNamara <caolanm@redhat.com>

:040000 040000 c243c95fa0f66a54a2010c23bb5b53bdc9c76d4d b41e23ebbedd982f93b98339e3d1ce0cb2da10c9 M      avmedia
Comment 17 Xisco Faulí 2019-05-29 08:16:32 UTC
(In reply to Michael Weghorn from comment #16)
> Bisected this on master. The commit which made the issue go away is:
> 
> commit 18138417485aeba6c52d935c616dba829b24ffd8
> Author: Mark Hung <marklh9@gmail.com>
> Date:   Mon Feb 18 21:51:57 2019 +0800
> 
>     avmedia: set gstreamer gst_video_overlay size and position.

Hi Michael,
Should it be backported to 6.2 branch ?
Comment 18 Michael Weghorn 2019-05-29 17:16:55 UTC
(In reply to Xisco Faulí from comment #17)
> Hi Michael,
> Should it be backported to 6.2 branch ?

Hi Xisco, yes, I'll take a a look.
(probably needs the second half of bubli's commit fixing tdf#124027 in addition which was excluded in  https://gerrit.libreoffice.org/#/c/72769/ ).
Comment 19 Michael Weghorn 2019-05-30 11:23:55 UTC
Backport for 6.2: https://gerrit.libreoffice.org/#/c/73199/

(For some reason unknown to me, I was unable to reproduce the issue even without this patch today on 6.2 branch, but let's be sure...)